=== modified file 'test'
--- test	2009-02-05 10:16:40 +0000
+++ test	2009-03-05 21:53:12 +0000
@@ -66,7 +66,7 @@
             elif relpath == os.path.join("tests", "zope", "README.txt"):
                 # Special case the inclusion of the Zope-dependent
                 # ZStorm doctest.
-                from tests.zope.zstorm import has_zope
+                from tests.zope import has_zope
                 if has_zope:
                     doctests.append(relpath)
             elif filename.endswith(".txt"):

=== modified file 'tests/zope/__init__.py'
--- tests/zope/__init__.py	2007-08-05 21:59:54 +0000
+++ tests/zope/__init__.py	2009-03-05 21:53:12 +0000
@@ -17,3 +17,25 @@
 # You should have received a copy of the GNU Lesser General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #
+
+__all__ = [
+    'has_transaction',
+    'has_zope',
+    'has_zope_component',
+    ]
+
+try:
+    import transaction
+except ImportError:
+    has_transaction = False
+else:
+    has_transaction = True
+
+try:
+    import zope.component
+except ImportError:
+    has_zope_component = False
+else:
+    has_zope_component = True
+
+has_zope = has_transaction and has_zope_component

=== modified file 'tests/zope/adapters.py'
--- tests/zope/adapters.py	2009-03-05 21:46:40 +0000
+++ tests/zope/adapters.py	2009-03-05 21:53:12 +0000
@@ -19,7 +19,7 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #
 from tests.helper import TestHelper
-from tests.zope.zstorm import has_zope_component
+from tests.zope import has_zope_component
 
 
 if has_zope_component:

=== modified file 'tests/zope/zstorm.py'
--- tests/zope/zstorm.py	2008-10-21 09:19:47 +0000
+++ tests/zope/zstorm.py	2009-03-05 21:53:12 +0000
@@ -21,25 +21,15 @@
 import thread, weakref, gc
 
 from tests.helper import TestHelper
+from tests.zope import has_transaction, has_zope_component
 
-try:
+if has_transaction:
     import transaction
-except ImportError:
-    has_transaction = False
-else:
-    has_transaction = True
     from storm.zope.interfaces import IZStorm, ZStormError
     from storm.zope.zstorm import ZStorm, StoreDataManager
 
-try:
+if has_zope_component:
     from zope.component import provideUtility, getUtility
-except ImportError:
-    has_zope_component = False
-else:
-    has_zope_component = True
-
-has_zope = has_transaction and has_zope_component
-
 
 from storm.exceptions import OperationalError
 from storm.locals import Store

